pidgin: _PidginWindow Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PidginWindow Struct Reference

A GTK+ representation of a graphical window containing one or more conversations. More...

`#include <gtkconvwin.h>`

## Data Fields
GtkWidget * | window
| The window.
GtkWidget * | notebook
| The notebook of conversations.
GList * | gtkconvs
struct {
GtkWidget * menubar
GtkWidget * view_log
GtkWidget * send_file
GtkWidget * add_pounce
GtkWidget * get_info
GtkWidget * invite
GtkWidget * alias
GtkWidget * block
GtkWidget * unblock
GtkWidget * add
GtkWidget * remove
GtkWidget * insert_link
GtkWidget * insert_image
GtkWidget * logging
GtkWidget * sounds
GtkWidget * show_formatting_toolbar
GtkWidget * show_timestamps
GtkWidget * show_icon
GtkWidget * send_to
GtkWidget * tray
GtkWidget * typing_icon
GtkItemFactory * item_factory
} | menu
struct {
GtkWidget * search
} | dialogs
gboolean | in_drag
gboolean | in_predrag
gint | drag_tab
gint | drag_min_x
gint | drag_max_x
gint | drag_min_y
gint | drag_max_y
gint | drag_motion_signal
gint | drag_leave_signal
GtkWidget * | audio_call
GtkWidget * | video_call
GtkWidget * | audio_video_call

## Detailed Description

A GTK+ representation of a graphical window containing one or more conversations.

Definition at line 41 of file gtkconvwin.h.

## Field Documentation

## ◆ add

GtkWidget* _PidginWindow::add

Definition at line 61 of file gtkconvwin.h.

## ◆ add_pounce

GtkWidget* _PidginWindow::add_pounce

Definition at line 54 of file gtkconvwin.h.

## ◆ alias

GtkWidget* _PidginWindow::alias

Definition at line 58 of file gtkconvwin.h.

## ◆ audio_call

GtkWidget* _PidginWindow::audio_call

Definition at line 101 of file gtkconvwin.h.

## ◆ audio_video_call

GtkWidget* _PidginWindow::audio_video_call

Definition at line 103 of file gtkconvwin.h.

## ◆ block

GtkWidget* _PidginWindow::block

Definition at line 59 of file gtkconvwin.h.

## ◆ drag_leave_signal

gint _PidginWindow::drag_leave_signal

Definition at line 98 of file gtkconvwin.h.

## ◆ drag_max_x

gint _PidginWindow::drag_max_x

Definition at line 95 of file gtkconvwin.h.

## ◆ drag_max_y

gint _PidginWindow::drag_max_y

Definition at line 95 of file gtkconvwin.h.

## ◆ drag_min_x

gint _PidginWindow::drag_min_x

Definition at line 95 of file gtkconvwin.h.

## ◆ drag_min_y

gint _PidginWindow::drag_min_y

Definition at line 95 of file gtkconvwin.h.

## ◆ drag_motion_signal

gint _PidginWindow::drag_motion_signal

Definition at line 97 of file gtkconvwin.h.

## ◆ drag_tab

gint _PidginWindow::drag_tab

Definition at line 93 of file gtkconvwin.h.

## ◆ get_info

GtkWidget* _PidginWindow::get_info

Definition at line 55 of file gtkconvwin.h.

## ◆ gtkconvs

GList* _PidginWindow::gtkconvs

Definition at line 45 of file gtkconvwin.h.

## ◆ in_drag

gboolean _PidginWindow::in_drag

Definition at line 90 of file gtkconvwin.h.

## ◆ in_predrag

gboolean _PidginWindow::in_predrag

Definition at line 91 of file gtkconvwin.h.

## ◆ insert_image

GtkWidget* _PidginWindow::insert_image

Definition at line 65 of file gtkconvwin.h.

## ◆ insert_link

GtkWidget* _PidginWindow::insert_link

Definition at line 64 of file gtkconvwin.h.

## ◆ invite

GtkWidget* _PidginWindow::invite

Definition at line 56 of file gtkconvwin.h.

## ◆ item_factory

GtkItemFactory* _PidginWindow::item_factory

Definition at line 79 of file gtkconvwin.h.

## ◆ logging

GtkWidget* _PidginWindow::logging

Definition at line 67 of file gtkconvwin.h.

## ◆ menubar

GtkWidget* _PidginWindow::menubar

Definition at line 49 of file gtkconvwin.h.

## ◆ notebook

GtkWidget* _PidginWindow::notebook

The notebook of conversations.

Definition at line 44 of file gtkconvwin.h.

## ◆ remove

GtkWidget* _PidginWindow::remove

Definition at line 62 of file gtkconvwin.h.

## ◆ search

GtkWidget* _PidginWindow::search

Definition at line 85 of file gtkconvwin.h.

## ◆ send_file

GtkWidget* _PidginWindow::send_file

Definition at line 53 of file gtkconvwin.h.

## ◆ send_to

GtkWidget* _PidginWindow::send_to

Definition at line 73 of file gtkconvwin.h.

## ◆ show_formatting_toolbar

GtkWidget* _PidginWindow::show_formatting_toolbar

Definition at line 69 of file gtkconvwin.h.

## ◆ show_icon

GtkWidget* _PidginWindow::show_icon

Definition at line 71 of file gtkconvwin.h.

## ◆ show_timestamps

GtkWidget* _PidginWindow::show_timestamps

Definition at line 70 of file gtkconvwin.h.

## ◆ sounds

GtkWidget* _PidginWindow::sounds

Definition at line 68 of file gtkconvwin.h.

## ◆ tray

GtkWidget* _PidginWindow::tray

Definition at line 75 of file gtkconvwin.h.

## ◆ typing_icon

GtkWidget* _PidginWindow::typing_icon

Definition at line 77 of file gtkconvwin.h.

## ◆ unblock

GtkWidget* _PidginWindow::unblock

Definition at line 60 of file gtkconvwin.h.

## ◆ video_call

GtkWidget* _PidginWindow::video_call

Definition at line 102 of file gtkconvwin.h.

## ◆ view_log

GtkWidget* _PidginWindow::view_log

Definition at line 51 of file gtkconvwin.h.

## ◆ window

GtkWidget* _PidginWindow::window

The window.

Definition at line 43 of file gtkconvwin.h.

The documentation for this struct was generated from the following file:

- gtkconvwin.h